# `ngKeydown` ( directive in module `ng` )

## Description

Specify custom behavior on keydown event.

## Usage

as attribute

    <ANY ng-keydown="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-keydown: {expression};">
       ...
    </ANY>

### Parameters

- `ngKeydown – {expression} –`

  Expression to evaluate upon keydown. (Event object is available as `$event` and can be interrogated for keyCode, altKey, etc.)

## Example

See `ngClick`